/* InterfaceBuilder - IBInspectorManager.h
 * Copyright (c) 1991-1996 NeXT Software, Inc.
 * All rights reserved.
 */

#import <Foundation/Foundation.h>
#import <InterfaceBuilder/IBSystem.h>

@class IBInspector;
@class IBInspectorPanel;

@interface IBInspectorManager : NSObject
{
    IBInspectorPanel *inspectorPanel;
    id inspectedObject;
    IBInspector *inspector;
    NSMutableArray *modes;
    id currentMode;
}
+ (IBInspectorManager *)sharedInspectorManager;
- (void)addInspectorModeWithIdentifier:(NSString *)identifier
	forObject:(id)object localizedLabel:(NSString *)label
	inspectorClassName:(NSString *)inspectorClassName
	ordering:(float)ordering;
- (unsigned int)indexOfModeWithIdentifier:(NSString *)identifier;
@end

/* Notifications. */

/* IB will inspect an object with a new mode.  The notification object is
 * the mode's identifier. */
IB_EXTERN NSString *IBWillInspectWithModeNotification;

/* IB will inspect a new object.  The notification object is the object
 * to be inspected. */
IB_EXTERN NSString *IBWillInspectObjectNotification;
